MONGOC_APM_CALLBACKS_T(3)

NAME
mongoc_apm_callbacks_t - mongoc_apm_callbacks_t

Notification callbacks

SYNOPSIS

Used to receive notification of events, such as when a MongoDB command begins, succeeds, or fails.

Create a mongoc_apm_callbacks_t with mongoc_apm_callbacks_new, set callbacks on it, then pass it to mongoc_client_set_apm_callbacks or mongoc_client_pool_set_apm_callbacks.

SEE ALSO:
        Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc